Package com.io7m.coffeepick.repository.spi

# Enum RuntimeRepositoryProviderRegistryEventType.Change

java.lang.Object
java.lang.Enum<RuntimeRepositoryProviderRegistryEventType.Change>
com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderRegistryEventType.Change

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuntimeRepositoryProviderRegistryEventType.Change>`, `java.lang.constant.Constable`

Enclosing interface:
  RuntimeRepositoryProviderRegistryEventType

    public static enum RuntimeRepositoryProviderRegistryEventType.Change
    extends java.lang.Enum<RuntimeRepositoryProviderRegistryEventType.Change>

The type of change.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ADDED` | A repository was added.
  `REMOVED` | A repository was removed.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static RuntimeRepositoryProviderRegistryEventType.Change` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static RuntimeRepositoryProviderRegistryEventType.Change[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final RuntimeRepositoryProviderRegistryEventType.Change ADDED
    A repository was added.

  - ### REMOVED

    public static final RuntimeRepositoryProviderRegistryEventType.Change REMOVED
    A repository was removed.

- ## Method Details

  - ### values

    public static RuntimeRepositoryProviderRegistryEventType.Change[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuntimeRepositoryProviderRegistryEventType.Change valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null